Package org.apache.commons.lang3

## Interface Functions.FailableSupplier<R,​T extends java.lang.Throwable>

Type Parameters:
  `R` - Return type.
  `T` - Thrown exception.

Enclosing class:
  Functions

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @Deprecated
    @FunctionalInterface
    public static interface Functions.FailableSupplier<R,​T extends java.lang.Throwable>

Deprecated.
Use `FailableSupplier`.
A functional interface like `Supplier` that declares a `Throwable`.

TODO for 4.0: Move to org.apache.commons.lang3.function.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`R` `get()` Deprecated. Supplies an object

### Method Detail

#### get

    R get()
    throws T extends java.lang.Throwable

Deprecated.
Supplies an object

Returns:
  a result
Throws:
  `T` - if the supplier fails
  `T extends java.lang.Throwable`